Patch alsa pour Edirol ua4fx

jacques jactib at free.fr
Jeu 8 Jan 21:37:15 GMT 2009


Séb a écrit :
> jacques wrote:
>   
>> Bonjour,
>> J'utilise une carte son externe edirol ua4fx toutefois pour en profiter 
>> pleinement après avoir lu :
>> http://alsa.opensrc.org/index.php/Edirol_UA-4FX (external link)
>> je voudrai appliquer le patch proposé .
>> J'ai essayé de l'installer mais je ne trouve pas le repertoire ou sont :
>>
>> sound/usb/usbaudio.c
>> sound/usb/usbquirks.h
>>
>> Ubuntu studio 8.10
>> J'ai installé le programe patch ,kernel :2.6.27-11-generic
>> Merci de m'aider
>> Jacques
>>
>>     
>
> Salut,
>
> Réponse courte:
> Sous Ubuntu, les fichiers que tu cherches se situe dans
> /usr/src/linux-headers-2.6.[microversion et publication]/sound/
> Cependant, les sources ne sont présentes que si tu télécharges les
> "headers" du noyau
>
>
> Réponse moins courte:
> Après une lecture plus que succinte de la page que tu cites, j'ai cru
> lire que le patch présenté a été testé avec les versions 2.6.24 et
> 2.6.25 du noyau... Comme tu le signales dans ton mail, on en est déjà à
> la version 2.6.27: es-tu sûr que le patch est toujours d'actualité et/ou
> encore valide?
> Dans le cas où modifier les fichiers sources s'impose (grace à
> l'utilitaire "patch" ou sans d'ailleurs), il te faudra compiler les
> pilotes modifiés pour y avoir accès...
> Bref, il ne s'agit pas d'une manipulation à faire si on ne sait pas
> exactement ce que l'on est en train de faire!
> Si tu n'as jamais utilisé "patch" et que tu n'as jamais compilé un
> programme, modifier les pilotes d'un noyau n'est peut-être pas quelque
> chose à faire... Mais ce n'est que mon humble avis...
>
> Séb
>
>   
Merci pour ta réponse , j'ai vu sur http://www.linuxhq.com/kernel/v2.6/28/
que ma carte sera alors reconnue je pense que le plus sage est
d'attendre la venue  due la version 2.6.28 !
Toutefois j'ai trouvé sur
http://ftp.iasi.roedu.net/pub/pub/packages/alsa/kernel-patches/
alsa-git-for-linus-2008-10-10.patch.gz qui est un patch pour alsa et qui
reconnai ma carte !
problème compatibilité avec le kernel 2.6.27 et comment installer un
patch git
ce patch pour alsa est récent 10.10.08
J'ai téléchargé linux-source-2.6.27
Si tu sais ?
jacques





Plus d'informations sur la liste de diffusion ubuntu-fr